## imcode.server.document
Class TestDocumentPermissionSetDomainObject

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              imcode.server.document.TestDocumentPermissionSetDomainObject

All Implemented Interfaces:
  junit.framework.Test

    public class TestDocumentPermissionSetDomainObject

extends junit.framework.TestCase

Constructor Summary
`TestDocumentPermissionSetDomainObject()`

Method Summary
`void` `testHasPermission()`
`void` `testPermissionSetFull()`
`void` `testPermissionSetNone()`
`void` `testPermissionSetRead()`
`void` `testSetPermissionFalse()`
`void` `testSetPermissionTrue()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestDocumentPermissionSetDomainObject

    public TestDocumentPermissionSetDomainObject()

Method Detail

### testPermissionSetNone

    public void testPermissionSetNone()

### testPermissionSetRead

    public void testPermissionSetRead()

### testPermissionSetFull

    public void testPermissionSetFull()

### testSetPermissionTrue

    public void testSetPermissionTrue()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSetPermissionFalse

    public void testSetPermissionFalse()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testHasPermission

    public void testHasPermission()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`